## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate cpp_demangle

Name:           rust-cpp_demangle
Version:        0.4.0
Release:        %autorelease
Summary:        Crate for demangling C++ symbols

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/cpp_demangle
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop unused support for the AFL fuzzer
Patch:          cpp_demangle-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
A crate for demangling C++ symbols.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+logging-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+logging-devel %{_description}

This package contains library source intended for building other packages which
use the "logging" feature of the "%{crate}" crate.

%files       -n %{name}+logging-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+run_libiberty_tests-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+run_libiberty_tests-devel %{_description}

This package contains library source intended for building other packages which
use the "run_libiberty_tests" feature of the "%{crate}" crate.

%files       -n %{name}+run_libiberty_tests-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Thu Mar 30 2023 Fabio Valentini <decathorpe@gmail.com> - 0.4.0-1
- Update to version 0.4.0; Fixes RHBZ#2136539

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Dec 09 2021 Fabio Valentini <decathorpe@gmail.com> - 0.3.5-1
- Update to version 0.3.5; Fixes RHBZ#2028578

* Tue Nov 23 2021 Fabio Valentini <decathorpe@gmail.com> - 0.3.4-1
- Update to version 0.3.4; Fixes RHBZ#2025350

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Jul 08 2021 Fabio Valentini <decathorpe@gmail.com> - 0.3.3-1
- Update to version 0.3.3; Fixes RHBZ#1980481

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Nov 28 2020 Fabio Valentini <decathorpe@gmail.com> - 0.3.2-1
- Update to version 0.3.2.
- Fixes RHBZ#1902355

* Wed Nov 25 2020 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-2
- Remove features with broken dependencies.

* Sun Oct 11 2020 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-1
- Update to version 0.3.1.

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 22 2020 Josh Stone <jistone@redhat.com> - 0.3.0-1
- Update to 0.3.0

* Wed Jun 10 2020 Josh Stone <jistone@redhat.com> - 0.2.17-1
- Update to 0.2.17

* Thu May 14 2020 Josh Stone <jistone@redhat.com> - 0.2.16-1
- Update to 0.2.16

* Wed Apr 29 2020 Josh Stone <jistone@redhat.com> - 0.2.15-1
- Update to 0.2.15

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Nov 19 2019 Josh Stone <jistone@redhat.com> - 0.2.14-1
- Update to 0.2.14

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.12-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue May 07 17:06:18 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.12-4
- Update glob to 0.3

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Nov 02 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.12-2
- Adapt to new packaging

* Tue Sep 11 2018 Josh Stone <jistone@redhat.com> - 0.2.12-1
- Update to 0.2.12

* Fri Aug 10 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.11-1
- Update to 0.2.11

* Thu Aug 09 2018 Josh Stone <jistone@redhat.com> - 0.2.10-1
- Update to 0.2.10

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue May 15 2018 Josh Stone <jistone@redhat.com> - 0.2.9-1
- Update to 0.2.9

* Sat May 12 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.8-1
- Update to 0.2.8

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.7-2
- Rebuild for rust-packaging v5

* Fri Dec 01 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.7-1
- Initial package

